Go to advanced search

by ksharindam
Thu Jul 22, 2021 3:22 pm
Forum: Raspberry Pi OS
Topic: OpenCPN Cannot Be Installed - unmet dependencies
Replies: 6
Views: 502

Re: OpenCPN Cannot Be Installed - unmet dependencies

I have successfully installed the package in this way. 1. download the package in this page http://ppa.launchpad.net/opencpn/opencpn/ubuntu/pool/main/o/opencpn/ . Direct link http://ppa.launchpad.net/opencpn/opencpn/ubuntu/pool/main/o/opencpn/opencpn_5.2.4.0-0~bionic1_armhf.deb . 2. open terminal wh...
by ksharindam
Thu Jul 22, 2021 3:18 pm
Forum: Raspberry Pi OS
Topic: OpenCPN Cannot Be Installed - unmet dependencies
Replies: 6
Views: 502

Re: OpenCPN Cannot Be Installed - unmet dependencies

Please read the Official Instructions: https://opencpn.org/wiki/dokuwiki/doku.php?id=opencpn:opencpn_user_manual:getting_started:opencpn_installation:raspberrypi_rpi2 Ubuntu like Raspberry Pi (Raspbian)OS are both based of Debian and have always been so... :lol: Yes you are right. The opencpn packa...
by ksharindam
Thu Jul 22, 2021 7:02 am
Forum: Raspberry Pi OS
Topic: OpenCPN Cannot Be Installed - unmet dependencies
Replies: 6
Views: 502

Re: OpenCPN Cannot Be Installed - unmet dependencies

Ubuntu bionic repository is not compatible with Debian Buster repo.
So if you try to install a package from bionic repo, it can not find the required dependencies in debian buster repo.

Again, the instructions you followed is for Ubuntu or ubuntu based distributions. But RPi OS is debian based.
by ksharindam
Thu Jul 15, 2021 5:30 pm
Forum: Raspberry Pi OS
Topic: pyqtgraph on rasberr pi
Replies: 1
Views: 143

Re: pyqtgraph on rasberr pi

pyqtgraph requires PyQt5 installed.
Have you installed it from the repo...

Code: Select all

sudo apt install python3-pyqt5
by ksharindam
Mon Jul 05, 2021 1:07 pm
Forum: Raspberry Pi OS
Topic: Looking for lightweight tool to tell duration (length) of MP4 file
Replies: 15
Views: 906

Re: Looking for lightweight tool to tell duration (length) of MP4 file

Yes, this was to avoid libtagc0-dev each tiime i compile code. I copied the code from pcmanfm-audiolen-module .
Now I edited the code, and it is not using dynamic loading libraries.

Edit : this is minimal code. You can do some modifications such as , show length in HH:MM:SS format.
by ksharindam
Mon Jul 05, 2021 12:46 pm
Forum: Raspberry Pi OS
Topic: Looking for lightweight tool to tell duration (length) of MP4 file
Replies: 15
Views: 906

Re: Looking for lightweight tool to tell duration (length) of MP4 file

You can compile this code, it uses libtagc0. It can tell length of MP4 video files. #include <stdio.h> #include <stdlib.h> #include <taglib/tag_c.h> int main(int argc, char **argv) { if (argc < 2 ) return 0; TagLib_File *TL_file = taglib_file_new( argv[1] ); if ((TL_file == NULL) || (!taglib_file_is...
by ksharindam
Wed Feb 17, 2021 4:09 pm
Forum: Raspberry Pi OS
Topic: Problem after update to latest kernel via apt
Replies: 6
Views: 401

Re: Problem after update to latest kernel via apt

This morning I took a backup and did update;full-upgrade. Nothing unusual on my Pi 400. Anything special about your system? What kind of Pi are you using? I am using Pi 4 2G with Raspberry Pi OS with xfce desktop. My display is a monitor with 1366x768 resolution connected to my Pi via HDMI to VGA a...
by ksharindam
Wed Feb 17, 2021 4:05 pm
Forum: Raspberry Pi OS
Topic: Problem after update to latest kernel via apt
Replies: 6
Views: 401

Re: Problem after update to latest kernel via apt

Did you update / full-upgrade or another procedure ?? https://www.raspberrypi.org/documentation/raspbian/updating.md I have updated by running sudo apt upgrade I am using Raspberry Pi OS lite with xfce desktop. Regards screen resolution, that is a known issue: https://www.raspberrypi.org/forums/vie...
by ksharindam
Wed Feb 17, 2021 6:47 am
Forum: Raspberry Pi OS
Topic: Problem after update to latest kernel via apt
Replies: 6
Views: 401

Problem after update to latest kernel via apt

I have faced two serious problem after upgrading raspberrypi-kernel via apt (kernel version 5.10) i) Can not connect to the internet. Everytime i tried to connect to mobile device via wifi, it fails to connect. Even after reboots it does not work. Then I tried to connect to internet via usb tetherin...
by ksharindam
Wed Feb 03, 2021 5:16 pm
Forum: Raspberry Pi OS
Topic: low sound of raspberry 4, raspberry OS
Replies: 4
Views: 327

Re: low sound of raspberry 4, raspberry OS

That damn update of pulseaudio packages from 12.2-4+deb10u1+rpi1 to 12.2-4+deb10u1+rpi2 broke this. I was getting almost half of the volume. That means even you have 100% volume level, you are getting 50% volume. But NOBODY IS CARING ABOUT. I fixed this by downgrading pulseaudio packages to version ...
by ksharindam
Sat Jan 30, 2021 1:28 pm
Forum: Raspberry Pi OS
Topic: Use xz instead of zip for distributions
Replies: 31
Views: 1678

Re: Use xz instead of zip for distributions

I have posted the same question/suggestion here 1.5 years ago. Happy to see that now they are willing to use xz. One thing I will say that, I don't understand why everyone is worrying about decompression speed. xz can be decompressed on the fly. Means you can decompress, and write to SD card at the ...
by ksharindam
Mon Jan 25, 2021 2:11 pm
Forum: General discussion
Topic: Can I use breadboard female jumper wires in Raspberry pi?
Replies: 4
Views: 407

Can I use breadboard female jumper wires in Raspberry pi?

I have a Raspberry pi 4. I want to connect wire to the GPIO header pins.
Before ordering online, I want to be sure if I can connect breadboard female jumper wires with it.
Will it fit?
by ksharindam
Mon Jan 11, 2021 5:41 am
Forum: Raspberry Pi OS
Topic: Raspbian Lite+XFCE
Replies: 2
Views: 465

Re: Raspbian Lite+XFCE

Hiyall, Two small problems: I seem to remember that there was a generic internet browser that I turned off, thinking I could install Firefox. I now don't have internet access! I also can't find Bluetooth. I want both icons in the desktop panel. Firstly, no internet browser is installed along with x...
by ksharindam
Fri Jan 01, 2021 5:01 pm
Forum: C/C++
Topic: Lxpanel plugins
Replies: 2
Views: 480

Re: Lxpanel plugins

the way of writing the plugins in the raspberry pi Github is not that different from the tutorial in that link. Lxpanel specific part of a writing a plugin is mainly registering the plugin. The rest part is just GTK. If you know to write in gtk well, then you can write plugins easily. To learn, you ...
by ksharindam
Fri Jan 01, 2021 5:07 am
Forum: Raspberry Pi OS
Topic: lower volume after upgrading pulseaudio from 12.2-4+deb10u1+rpi1 to 12.2-4+deb10u1+rpi2
Replies: 10
Views: 893

Re: lower volume after upgrading pulseaudio from 12.2-4+deb10u1+rpi1 to 12.2-4+deb10u1+rpi2

I post my solution that I hope will also solve your errors, comparing me with a pulseaudio programmer, there are errors in the file /lib/udev/rules.d/91-pulseaudio-rpi.rules the solution is: either delete that file or replace the content with: SUBSYSTEM!="sound*", GOTO="end" ACT...
by ksharindam
Thu Dec 31, 2020 4:38 pm
Forum: Raspberry Pi OS
Topic: lower volume after upgrading pulseaudio from 12.2-4+deb10u1+rpi1 to 12.2-4+deb10u1+rpi2
Replies: 10
Views: 893

Re: lower volume after upgrading pulseaudio from 12.2-4+deb10u1+rpi1 to 12.2-4+deb10u1+rpi2

You, are right.
I also guessed that, when i read the rpimonofix.patch file. The version 12.2-4+deb10u1+rpi1 did not contain that pulseaudio-rpi.rules.
So the problem is in that rules file.

I am using 12.2-4+deb10u1+rpi1 version. I shall update pulseaudio tomorrow, and then I will test this.
by ksharindam
Wed Dec 23, 2020 12:47 pm
Forum: Raspberry Pi OS
Topic: lower volume after upgrading pulseaudio from 12.2-4+deb10u1+rpi1 to 12.2-4+deb10u1+rpi2
Replies: 10
Views: 893

Re: lower volume after upgrading pulseaudio from 12.2-4+deb10u1+rpi1 to 12.2-4+deb10u1+rpi2

I have same issue. For temporary fix I downgraded packages with this command. sudo apt install pulseaudio=12.2-4+deb10u1 libpulse0=12.2-4+deb10u1 pulseaudio-utils=12.2-4+deb10u1 libpulsedsp=12.2-4+deb10u1 I could not downgrade by this method to 12.2-4+deb10u1+rpi1 . It have shown packages not found...
by ksharindam
Mon Dec 14, 2020 12:01 pm
Forum: Raspberry Pi OS
Topic: WebP thumbnails on PCManFM?
Replies: 7
Views: 681

Re: WebP thumbnails on PCManFM?

I have compiled io-webp.c using my Makefile. and installed it.
Then extracted your zip containing sample images.
None of them caused segfault, and I saw thumbnails of all of the files.

So, the code is completely ok. May be the webp library has problem in 64 bit os (I am using 32 bit RPi OS)
by ksharindam
Sat Dec 12, 2020 5:14 pm
Forum: Raspberry Pi OS
Topic: lower volume after upgrading pulseaudio from 12.2-4+deb10u1+rpi1 to 12.2-4+deb10u1+rpi2
Replies: 10
Views: 893

lower volume after upgrading pulseaudio from 12.2-4+deb10u1+rpi1 to 12.2-4+deb10u1+rpi2

Today I have upgraded pulseaudio package from 12.2-4+deb10u1+rpi1 to 12.2-4+deb10u1+rpi2.
After upgrading the 3.5mm analog output volume is lower (almost half) than it was before.

After downgrading to 12.2-4+deb10u1+rpi1 , i got back louder volume.

Why the volume is lower, and how can I fix it?
by ksharindam
Fri Dec 11, 2020 3:07 pm
Forum: Raspberry Pi OS
Topic: PusleAudio update may have broken RetroPie
Replies: 2
Views: 998

Re: PusleAudio update may have broken RetroPie

Is there a way to toggle the new PusleAudio off, to revert it back prior st least until/if the dev supports it? I didn’t realize this update would have broken things or I would have held off. Is there a way to make rpiOS use the legacy audio engine for now? Yes you can remove pulseaudio, and use al...
by ksharindam
Fri Dec 11, 2020 2:57 pm
Forum: Raspberry Pi OS
Topic: WebP thumbnails on PCManFM?
Replies: 7
Views: 681

Re: WebP thumbnails on PCManFM?

lee-yunseok wrote:
Fri Dec 11, 2020 6:19 am
I already tried it on 20 days ago but it doesn't work. PCmanFM crashes when entering the directory that has compressed WebP.
I am currently using this. Though I have very small numbers of WebP images, i never encountered a crash.
If you send me the image that causes crash, i will try to debug it.
by ksharindam
Thu Dec 10, 2020 5:36 pm
Forum: Raspberry Pi OS
Topic: Where to get pixflat gtk theme ?
Replies: 6
Views: 1098

Re: Where to get pixflat gtk theme ?

Thanks, raspberrypi-ui-mods package contains that pixflat theme.
by ksharindam
Thu Dec 10, 2020 10:53 am
Forum: Raspberry Pi OS
Topic: Where to get pixflat gtk theme ?
Replies: 6
Views: 1098

Re: Where to get pixflat gtk theme ?

pasdechance wrote:
Thu Dec 10, 2020 10:23 am

Code: Select all

sudo apt-get install pixflat-icons gtk2-engines-pixflat
That does not install any gtk theme.
that installs only icons and a theme engine.
by ksharindam
Thu Dec 10, 2020 10:10 am
Forum: Raspberry Pi OS
Topic: Where to get pixflat gtk theme ?
Replies: 6
Views: 1098

Where to get pixflat gtk theme ?

I am using RPi OS Lite with XFCE desktop.
I want to use the theme used in RPi Desktop OS i.e PixFlat theme.
Where/How can I get PixFlat theme ?

Go to advanced search